Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# AVStreams::MMDevice Interface Reference

Implements a factory to create Endpoints and VDevs. More...

`import "AVStreams.idl";`

List of all members.

## Public Methods
StreamEndPoint_A | create_A (in StreamCtrl the_requester, out VDev the_vdev, inout streamQoS the_qos, out boolean met_qos, inout string named_vdev, in flowSpec the_spec) raises (streamOpFailed, streamOpDenied, notSupported, QoSRequestFailed, noSuchFlow)
StreamEndPoint_B | create_B (in StreamCtrl the_requester, out VDev the_vdev, inout streamQoS the_qos, out boolean met_qos, inout string named_vdev, in flowSpec the_spec) raises (streamOpFailed, streamOpDenied, notSupported, QoSRequestFailed, noSuchFlow)
StreamCtrl | bind (in MMDevice peer_device, inout streamQoS the_qos, out boolean is_met, in flowSpec the_spec) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)
StreamCtrl | bind_mcast (in MMDevice first_peer, inout streamQoS the_qos, out boolean is_met, in flowSpec the_spec) raises (streamOpFailed, noSuchFlow, QoSRequestFailed)
| Multicast bind.
void | destroy (in StreamEndPoint the_ep, in string vdev_name) raises (notSupported)
| Remove the StreamEndPoint and the related vdev.
string | add_fdev (in Object the_fdev) raises (notSupported, streamOpFailed)
| Not supported in the light profile, raises notsupported.
Object | get_fdev (in string flow_name) raises (notSupported, noSuchFlow)
| Not supported in the light profile, raises notsupported.
void | remove_fdev (in string flow_name) raises (notSupported, noSuchFlow, streamOpFailed)
| Not supported in the light profile, raises notsupported.

## Detailed Description

Implements a factory to create Endpoints and VDevs.

## Member Function Documentation

string AVStreams::MMDevice::add_fdev | ( | in Object | the_fdev | ) | raises (notSupported, streamOpFailed)

| Not supported in the light profile, raises notsupported.

StreamCtrl AVStreams::MMDevice::bind | ( | in MMDevice | peer_device,
|  | inout streamQoS | the_qos,
|  | out boolean | is_met,
|  | in flowSpec | the_spec
| ) | raises (streamOpFailed, noSuchFlow, QoSRequestFailed)

| Can be used to request the MMDevice to create a new StreamCtrl, and call bind_devs on it.

StreamCtrl AVStreams::MMDevice::bind_mcast | ( | in MMDevice | first_peer,
|  | inout streamQoS | the_qos,
|  | out boolean | is_met,
|  | in flowSpec | the_spec
| ) | raises (streamOpFailed, noSuchFlow, QoSRequestFailed)

| Multicast bind.

StreamEndPoint_A AVStreams::MMDevice::create_A | ( | in StreamCtrl | the_requester,
|  | out VDev | the_vdev,
|  | inout streamQoS | the_qos,
|  | out boolean | met_qos,
|  | inout string | named_vdev,
|  | in flowSpec | the_spec
| ) | raises (streamOpFailed, streamOpDenied, notSupported, QoSRequestFailed, noSuchFlow)

| Called by StreamCtrl to create a "A" type streamendpoint and vdev.

StreamEndPoint_B AVStreams::MMDevice::create_B | ( | in StreamCtrl | the_requester,
|  | out VDev | the_vdev,
|  | inout streamQoS | the_qos,
|  | out boolean | met_qos,
|  | inout string | named_vdev,
|  | in flowSpec | the_spec
| ) | raises (streamOpFailed, streamOpDenied, notSupported, QoSRequestFailed, noSuchFlow)

| Called by StreamCtrl to create a "B" type streamendpoint and vdev.

void AVStreams::MMDevice::destroy | ( | in StreamEndPoint | the_ep,
|  | in string | vdev_name
| ) | raises (notSupported)

| Remove the StreamEndPoint and the related vdev.

Object AVStreams::MMDevice::get_fdev | ( | in string | flow_name | ) | raises (notSupported, noSuchFlow)

| Not supported in the light profile, raises notsupported.

void AVStreams::MMDevice::remove_fdev | ( | in string | flow_name | ) | raises (notSupported, noSuchFlow, streamOpFailed)

| Not supported in the light profile, raises notsupported.

The documentation for this interface was generated from the following file:

- AVStreams.idl